

\RequirePackage[italian]{babel}
\RequirePackage[utf8]{inputenc}
\RequirePackage[paper=a4paper, left=2cm, right=2cm, top=2cm, bottom=2cm]{geometry}
\RequirePackage[section]{placeins}
\RequirePackage[indent=0cm]{parskip}
\RequirePackage[colorlinks, linkcolor=blue, urlcolor=magenta, citecolor=green, bookmarks]{hyperref}
\RequirePackage{graphicx}
\RequirePackage{xcolor}
\RequirePackage{caption, subcaption}
%\RequirePackage{tikz}
%\RequirePackage{tcolorbox}

\captionsetup{width=0.8\textwidth}


%% MATH
\RequirePackage{amsmath}
\RequirePackage{amsfonts}
\RequirePackage{amsthm}
\RequirePackage{amssymb}
\RequirePackage{mathtools}
\RequirePackage{bm}
\RequirePackage{dsfont} % \mathds{}
\RequirePackage{commath} % Correct displaying differentials and much more. ie: \dif

\renewcommand{\vec}[1]{\bm{#1}}
\DeclareMathOperator{\card}{card}

%% COMPUTER SCIENCE
\RequirePackage{minted}
%\RequirePackage[linesnumbered,lined,ruled,vlined,commentsnumbered]{algorithm2e}

%% PHYSICS
\RequirePackage[separate-uncertainty = true]{siunitx}

%% FUN
\RequirePackage{bearwear}
\RequirePackage{duckuments}

%% BIBLIOGRAPHY
\RequirePackage[backend=bibtex]{biblatex}
\addbibresource{bibliography.bib}



\newtheorem{lemma}{Lemma}

\newcommand{\pythoncode}[1]{
  \subsubsection*{Code}
  \inputminted[xleftmargin=20pt, linenos]{python}{#1}
}

\newcommand{\ProbDist}[2]{\mathbb{P}_{#2}{\left[ #1\right]}}
\newcommand{\Prob}[1]{\ProbDist{#1}{}}
\newcommand{\CondProb}[2]{\Prob{#1\middle|#2}}
\newcommand{\ExpValDist}[2]{\mathbb{E}_{#2}{\left[#1\right]}}
\newcommand{\ExpVal}[1]{\ExpValDist{#1}{}}
\DeclareMathOperator{\Var}{Var}
\newcommand{\Variance}[1]{\Var{\left[#1\right]}}
\newcommand{\IndicatorDomArg}[2]{\mathds{1}_{\left\{#1\right\}}{\left(#2\right)}}
\newcommand{\IndicatorCond}[1]{\mathds{1}_{\left(#1\right)}}

\newcommand{\PriorDist}{\mathcal{D}}
\newcommand{\HypClass}{\mathcal{H}}

\newcommand{\TheoRisk}[1]{\mathcal{L}_\PriorDist{\left(#1\right)}}
\newcommand{\EmpRisk}[1]{\mathcal{L}_S{\left(#1\right)}}

\DeclareMathOperator{\VCdim}{dim_{VC}}